import {ModalField} from '@components';
import {FC} from 'react';
import {useField, useFormValues} from './hooks';

type Props = {
  id: string,
};

const Info: FC<Props> = function({id}) {
  const {control} = useField();
  useFormValues(id);

  return (
    <>
      <ModalField
        name='menuName'
        width='300px'
        label='菜单名称'
        control={control}
      />
      <ModalField
        name='menuUrl'
        width='300px'
        label='菜单路径'
        control={control}
      />
      <ModalField
        name='menuOrderBy'
        width='300px'
        label='菜单排序'
        control={control}
        type='number'
      />

    </>
  );
};

export default Info;
